package ambev.controllers

import ambev.entities.Machine

class MachineDomainController {
	
	public listMachines(params) {
		[machineInstanceList: Machine.list(params), machineInstanceCount: Machine.count()]
	}

	public createMachine(params) {
		[machineInstance: new Machine(params)]
	}

	public saveOrUpdateMachine(machineInstance) {
        machineInstance.save flush:true
	}

	public deleteMachine(machineInstance) {
        machineInstance.delete flush:true
	}

}