package ambev.entities

class Task {
	public static final int OPEN = 0
	public static final int RUNNING = 1
	public static final int CLOSED = 2
	String name
	Machine machine
	User worker
	Integer state = OPEN

    static constraints = {
		name(nullable: false, blank: false, size: 3..100)
		machine(nullable: false)
		worker(nullable: true)
		state(nullable: false, inList: [0, 1, 2])
    }

}
