package ambev.entities

import ambev.Stars

class User {
	public static final ROOT = 0
	public static final ADMIN = 1
	public static final SUPERVISOR = 2
	public static final WORKER = 3
	String name
	Integer cpf
	String username
	String password
	int role = WORKER
	Department department
	//Integer points
	//Stars stars

    static constraints = {
    	name(nullable: false, blank: false, size: 3..100)
    	cpf(nullable: true, size: 11, unique: true)
    	username(nullable: false, blank: false, size: 3..16, unique: true)
    	password(nullable: false, blank: false, size: 6..16)
    	role(nullable: false, inList: [0, 1, 2, 3])
    	department(nullable: true)
    	//stars(nullable: true)
    	//points(nullable: true)
    }
    
}
