<%@ page import="ambev.entities.Machine" %>

<div class="fieldcontain ${hasErrors(bean: machineInstance, field: 'name', 'error')} ">
	<label for="name">
		<g:message code="machine.name.label" default="Name" />
		<span class="required-indicator">*</span>
	</label>
	<g:textField name="name" value="${machineInstance?.name}"/>
</div>

<div class="fieldcontain ${hasErrors(bean: machineInstance, field: 'state', 'error')} required">
	<label for="state">
		<g:message code="machine.state.label" default="State" />
		<span class="required-indicator">*</span>
	</label>
	<g:select name="state" from="${['Em operação', 'Set-up', 'Em reparo', 'Parada programada', 'Quebrada']}" required="" value="${machineInstance?.state}" keys="${machineInstance.constraints.state.inList}"/>
</div>

<div class="fieldcontain ${hasErrors(bean: machineInstance, field: 'department', 'error')} ">
	<label for="department">
		<g:message code="user.department.label" default="Department" />
	</label>
	<g:select id="department" name="department.id" from="${ambev.entities.Department.list().name}" optionKey="id" value="${machineInstance?.department?.id}" keys="${ambev.entities.Department.list().id}" class="many-to-one" noSelection="['null': '']"/>
</div>