<%@ page import="ambev.entities.Task" %>

<div class="fieldcontain ${hasErrors(bean: taskInstance, field: 'name', 'error')} required">
	<label for="name">
		<g:message code="task.name.label" default="Name" />
		<span class="required-indicator">*</span>
	</label>
	<g:textField name="name" maxlength="100" required="" value="${taskInstance?.name}"/>
</div>

<div class="fieldcontain ${hasErrors(bean: taskInstance, field: 'machine', 'error')} required">
	<label for="machine">
		<g:message code="task.machine.label" default="Machine" />
		<span class="required-indicator">*</span>
	</label>
	<g:select id="machine" name="machine.id" from="${ambev.entities.Machine.list().name}" optionKey="id" required="" value="${taskInstance?.machine?.id}" keys="${ambev.entities.Machine.list().id}" class="many-to-one"/>
</div>

<div class="fieldcontain ${hasErrors(bean: taskInstance, field: 'worker', 'error')} ">
	<label for="worker">
		<g:message code="task.worker.label" default="Worker" />
	</label>
	<g:select id="worker" name="worker.id" from="${ambev.entities.User.list().name}" optionKey="id" value="${taskInstance?.worker?.id}" keys="${ambev.entities.User.list().id}" class="many-to-one" noSelection="['null': '']"/>
</div>

<div class="fieldcontain ${hasErrors(bean: taskInstance, field: 'state', 'error')} required">
	<label for="state">
		<g:message code="task.state.label" default="State" />
		<span class="required-indicator">*</span>
	</label>
	<g:select name="state" from="${['Open', 'Running', 'Closed']}" required="" value="${fieldValue(bean: taskInstance, field: 'state')}" keys="${taskInstance.constraints.state.inList}" valueMessagePrefix="task.state"/>
</div>