
<%@ page import="ambev.entities.Task" %>
<!DOCTYPE html>
<html>
	<head>
		<meta name="layout" content="main">
		<g:set var="entityName" value="${message(code: 'task.label', default: 'Task')}" />
		<title><g:message code="default.show.label" args="[entityName]" /></title>
	</head>
	<body>
		<a href="#show-task" class="skip" tabindex="-1">
			<g:message code="default.link.skip.label" default="Skip to content&hellip;"/>
		</a>
		<div class="nav" role="navigation">
			<ul>
				<li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
				<li>
					<g:link class="list" action="index">
						<g:message code="default.list.label" args="[entityName]" />
					</g:link>
				</li>
				<li>
					<g:link class="create" action="create">
						<g:message code="default.new.label" args="[entityName]" />
					</g:link>
				</li>
			</ul>
		</div>
		<div id="show-task" class="content scaffold-show" role="main">
			<h1><g:message code="default.show.label" args="[entityName]" /></h1>
			<g:if test="${flash.message}">
				<div class="message" role="status">${flash.message}</div>
			</g:if>
			<ol class="property-list task">
				<g:if test="${taskInstance?.name}">
					<li class="fieldcontain">
						<span id="name-label" class="property-label">
							<g:message code="task.name.label" default="Name" />
						</span>
						<span class="property-value" aria-labelledby="name-label">
							<g:fieldValue bean="${taskInstance}" field="name"/>
						</span>
					</li>
				</g:if>
				<g:if test="${taskInstance?.machine}">
					<li class="fieldcontain">
						<span id="machine-label" class="property-label">
							<g:message code="task.machine.label" default="Machine" />
						</span>
						<span class="property-value" aria-labelledby="machine-label">
							<g:link controller="machine" action="show" id="${taskInstance?.machine?.id}">
								${taskInstance?.machine?.name}
							</g:link>
						</span>
					</li>
				</g:if>
				<g:if test="${taskInstance?.worker}">
					<li class="fieldcontain">
						<span id="worker-label" class="property-label">
							<g:message code="task.worker.label" default="Worker" />
						</span>
						<span class="property-value" aria-labelledby="worker-label">
							<g:link controller="user" action="show" id="${taskInstance?.worker?.id}">
								${taskInstance?.worker?.name}
							</g:link>
						</span>
					</li>
				</g:if>
				<g:if test="${taskInstance?.state}">
					<li class="fieldcontain">
						<span id="state-label" class="property-label">
							<g:message code="task.state.label" default="State" />
						</span>
						<span class="property-value" aria-labelledby="state-label">
							<g:fieldValue bean="${taskInstance}" field="state"/>
						</span>
					</li>
				</g:if>
			</ol>
			<g:form url="[resource:taskInstance, action:'delete']" method="DELETE">
				<fieldset class="buttons">
					<g:link class="edit" action="edit" resource="${taskInstance}">
						<g:message code="default.button.edit.label" default="Edit" />
					</g:link>
					<g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" />
				</fieldset>
			</g:form>
		</div>
	</body>
</html>
