package ambev.controllers

import ambev.entities.Department

class DepartmentDomainController {
	
	public listDepartments(params) {
		[departmentInstanceList: Department.list(params), departmentInstanceCount: Department.count()]
	}

	public createDepartment(params) {
		[departmentInstance: new Department(params)]
	}

	public saveOrUpdateDepartment(departmentInstance) {
        departmentInstance.save flush:true
	}

	public deleteDepartment(departmentInstance) {
        departmentInstance.delete flush:true
	}

}