package ambev.controllers

import ambev.entities.User

class UserDomainController {
	
	public listUsers(params) {
		[userInstanceList: User.list(params), userInstanceCount: User.count()]
	}

	public createUser(params) {
		[userInstance: new User(params)]
	}

	public saveOrUpdateUser(userInstance) {
        userInstance.save flush:true
	}

	public deleteUser(userInstance) {
        userInstance.delete flush:true
	}

}