package ambev.entities

class Machine {
	public static final int OPERATING = 0
	public static final int SETUP = 1
	public static final int FIXING = 2
	public static final int SCHEDULED_STOP = 3
	public static final int BROKEN = 4
	String name
	int state = OPERATING
	Department department

    static constraints = {
    	name(nullable: false, blank: false, size: 3..100, unique: true)
    	state(nullable: false, inList: [0, 1, 2, 3, 4])
    }

}
