<%@ page import="ambev.entities.Department" %>

<div class="fieldcontain ${hasErrors(bean: departmentInstance, field: 'name', 'error')} required">
	<label for="name">
		<g:message code="department.name.label" default="Name" />
		<span class="required-indicator">*</span>
	</label>
	<g:textField name="name" maxlength="100" required="" value="${departmentInstance?.name}"/>
</div>

<div class="fieldcontain ${hasErrors(bean: departmentInstance, field: 'responsible', 'error')} required">
	<label for="responsible">
		<g:message code="department.responsible.label" default="Responsible" />
		<span class="required-indicator">*</span>
	</label>
	<g:select id="responsible" name="responsible.id" from="${ambev.entities.User.findAllByRole(ambev.entities.User.SUPERVISOR).name}" keys="${ambev.entities.User.findAllByRole(ambev.entities.User.SUPERVISOR).id}" optionKey="id" required="" value="${departmentInstance?.responsible?.id}" class="many-to-one"/>
</div>

