<!DOCTYPE html>
<!--[if lt IE 7 ]> <html lang="en" class="no-js ie6"> <![endif]-->
<!--[if IE 7 ]>    <html lang="en" class="no-js ie7"> <![endif]-->
<!--[if IE 8 ]>    <html lang="en" class="no-js ie8"> <![endif]-->
<!--[if IE 9 ]>    <html lang="en" class="no-js ie9"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--> <html lang="en" class="no-js"><!--<![endif]-->
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
		<title><g:layoutTitle default="Grails"/></title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<link rel="shortcut icon" href="${resource(dir: 'images', file: 'faviconCPWeb.ico')}" type="image/x-icon">
		<link rel="apple-touch-icon" href="${resource(dir: 'images', file: 'apple-touch-icon.png')}">
		<link rel="apple-touch-icon" sizes="114x114" href="${resource(dir: 'images', file: 'apple-touch-icon-retina.png')}">
		<link rel="stylesheet" href="${resource(dir: 'css', file: 'main.css')}" type="text/css">
		<link rel="stylesheet" href="${resource(dir: 'css', file: 'mobile.css')}" type="text/css">
		<g:layoutHead/>
		<g:javascript library="application"/>
		<g:javascript src="sha1.js"/>
		<g:javascript src="jquery-1.2.6.pack.js"/>
		<g:javascript src="jquery.maskedinput-1.1.4.pack.js"/> 
		<r:layoutResources />
	</head>
	<body>
		<g:javascript>
			$(document).ready(function(){
			$("#phone").mask("99999-9999");
			$("#cpf").mask("999.999.999-99");
			$("#cep").mask("99.999-999");
			$("#data").mask("99/99/9999");
			});
		</g:javascript>
		<div id="grailsLogo" role="banner">
			<a href="http://www.ambev.com.br">
				<img src="${resource(dir: 'images', file: 'cpwebLogo.png')}" width="30%" alt="ambev"/>
			</a>
		</div>
		<g:layoutBody/>
		<div class="footer" role="contentinfo" align="right">
			<img src="${resource(dir: 'images', file: 'ambevLogo.png')}" width="10%" alt="ambev"/>
		</div>
		<div id="spinner" class="spinner" style="display:none;">
			<g:message code="spinner.alt" default="Loading&hellip;"/>
		</div>
		<r:layoutResources />
	</body>
</html>
