
<%@ page import="ambev.entities.Machine" %>
<!DOCTYPE html>
<html>
	<head>
		<meta name="layout" content="main">
		<g:set var="entityName" value="${message(code: 'machine.label', default: 'Machine')}" />
		<title><g:message code="default.list.label" args="[entityName]" /></title>
	</head>
	<body>
		<a href="#list-machine" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
		<div class="nav" role="navigation">
			<ul>
				<li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
				<li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
			</ul>
		</div>
		<div id="list-machine" class="content scaffold-list" role="main">
			<h1><g:message code="default.list.label" args="[entityName]" /></h1>
			<g:if test="${flash.message}">
				<div class="message" role="status">${flash.message}</div>
			</g:if>
			<table>
				<thead>
					<tr>
						<g:sortableColumn property="name" title="${message(code: 'machine.name.label', default: 'Name')}" />
						<g:sortableColumn property="state" title="${message(code: 'machine.state.label', default: 'State')}" />
						<g:sortableColumn property="department" title="${message(code: 'machine.department.label', default: 'Department')}" />
					</tr>
				</thead>
				<tbody>
				<g:each in="${machineInstanceList}" status="i" var="machineInstance">
					<tr class="${(i % 2) == 0 ? 'even' : 'odd'}">
						<td>
							<g:link action="show" id="${machineInstance.id}">
								${fieldValue(bean: machineInstance, field: "name")}
							</g:link>
						</td>
						<td>
							${['Em operação', 'Set-up', 'Em reparo', 'Parada programada', 'Quebrada'].get(machineInstance.state)}
						</td>
						<td>${machineInstance.department?.name}</td>
					</tr>
				</g:each>
				</tbody>
			</table>
			<div class="pagination">
				<g:paginate total="${machineInstanceCount ?: 0}" />
			</div>
		</div>
	</body>
</html>
